Bug 157296 - After playing last.fm stream, I can't play last.fm again (just with Xine >=1.1.9)
Summary: After playing last.fm stream, I can't play last.fm again (just with Xine >=1....
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 1.4.8
Platform: Compiled Sources Linux
: NOR normal with 65 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-06 23:39 UTC by fragabr@gmail.com
Modified: 2008-10-30 03:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fragabr@gmail.com 2008-02-06 23:39:44 UTC
Version:           1.4.8 (using KDE 3.5.8)
Installed from:    Compiled From Sources
Compiler:          gcc 4.2.3 -O2 -march=athlon64
OS:                Linux

1) First I play a last.fm stream succesfully

2) then I stop the stream

3) I can't play the last.fm stream anymore, because the "play" button is disabled

The "solution" is to play some mp3, stop it and play the last.fm stream again.

This only happens with Xine 1.1.9 and 1.1.10. If I use Xine 1.1.8, this doesn't occur. Maybe a Xine 1.1.9/1.1.10 bug? Thanks.
Comment 1 Mark Kretschmann 2008-02-07 00:27:29 UTC
Same thing happens with any other radio stream as well. Known xinelib bug - wait for fix or downgrade.
Comment 2 Marc van der Wal 2008-05-11 20:28:10 UTC
I still have this issue with Amarok 1.4.8 and Xine-lib 1.1.11.1 on my Gentoo system.
Comment 3 fragabr@gmail.com 2008-05-12 01:42:55 UTC
Yes, this bug is extremely annoying. It's unnacceptable to downgrade xine-lib because xine had security fixes and I don't want to use a vulnerable xine-lib.
Comment 4 fragabr@gmail.com 2008-05-12 01:48:50 UTC
I disagree that it's a xine-only bug... At least Amarok could have a workaround...
Comment 5 Mark Kretschmann 2008-05-12 02:15:18 UTC
It's not generally possible to "work around" all library related bugs. In fact, this is only feasible in rare cases.

What workaround do you suggest?

Comment 6 fragabr@gmail.com 2008-05-12 02:48:06 UTC
I don't understand why when the last.fm stream is stopped, the play button is disabled. I can't believe this is due to a xine-lib bug. What's the relation between the play button and the xine-lib?
Comment 7 Sunny 2008-06-11 20:59:22 UTC
On OpenSuse 10.3 I experience similar problem.
I386
amarok-1.4.9.1-102.pm.1
amarok-xine-1.4.9.1-102.pm.1
libxine1-1.1.12-0.pm.1

Here is the original post:
http://forums.opensuse.org/showthread.php?t=385520

1) When I play a custom radio station. I can't restart an already
played stream. Not only do I have to exit amarok completely and restart
amarok, but I also have to clear the playlist and add the station again.
If I do try to play the stream after stopping it I don't get any error
message. I only see "Connecting to stream source..."

2) I can't ban or skip songs.
Comment 8 Mark Kretschmann 2008-06-11 22:08:21 UTC
Frankly, last.fm's support for the old protocol (which Amarok 1.x uses) is falling apart. If you're into last.fm, try Amarok 2.
Comment 9 Leo Franchi 2008-10-30 02:24:57 UTC
SVN commit 877693 by lfranchi:

new last.fm code for the last.fm service. basically, this replaces our old last.fm code drop from the 1.4 client with the  new modular liblastfm from max at last.fm. currently the library is included here in-source, and we are compiling it as a lib and linking to it internally. as soon as they can, last.fm will release it as liblastfm, and amarok will depend on it. for now, and 2.0, this will stay in-source. note that i include a FindLibLastFm.cmake that is not being used, as soon as we switch to the external lib we can just switch to searching for the external lib w/ no hassle.

NOTE: *please* test. i've tried to stress it as much as i can, but i can't think of all the edge cases. break it!

this should fix a number of bugs with the old client. there is 1 bug that i know of with this code, and i have email max.

BUG: 164156
BUG: 157296
BUG: 155197
BUG: 154904
BUG: 170816
Comment 10 Leo Franchi 2008-10-30 02:51:18 UTC
bah, forgot i am on os x and hence not using xine. so i can't affect this bug.
Comment 11 fragabr@gmail.com 2008-10-30 03:21:54 UTC
No problem Leo, since now I'm using Amarok 2 svn and your new last.fm code is great! It fixed the scrobble issue. Everything is perfect now ;) thank you very much!

Ps: at least for me, if you want, you can close this bug, since I will not be using Amarok 1 anymore ;).
Comment 12 Seb Ruiz 2008-10-30 03:26:24 UTC
Agreed, thanks Daniel.